pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

Dan Tran

Hello, 

after upgrading to 3.8, mysql setup for pipeline-maven-plugin facing this error

     java.lang.ClassNotFoundException: com.mysql.cj.jdbc.Driver

wonder if anyone has seen this? or it just me

downgrade get it working again

appreciate any helps

-D


--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

Baptiste MATHUS
I recommend filing a JIRA if you have abug reproducer. Cyrille, the maintainer, is quite busy these days, so a JIRA is likely a better way that he sees it and fixes it if needed.

Cheers

Le sam. 13 juil. 2019 à 07:58, Dan Tran <[hidden email]> a écrit :

Hello, 

after upgrading to 3.8, mysql setup for pipeline-maven-plugin facing this error

     java.lang.ClassNotFoundException: com.mysql.cj.jdbc.Driver

wonder if anyone has seen this? or it just me

downgrade get it working again

appreciate any helps

-D


--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/CANWgJS4EwpnLZuNZr%3DvvdmYJK5U8nC_7_3KC6b3bcynvnOaSAA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

Dan Tran
looks like my issue related to this change https://github.com/jenkinsci/pipeline-maven-plugin/commit/9a673ee9cd4ee978a9f8b4bf830fdccfde40706b

will dig further before file a Jira bug

Thanks

-D

On Saturday, July 13, 2019 at 9:29:06 AM UTC-7, Baptiste Mathus wrote:
I recommend filing a JIRA if you have abug reproducer. Cyrille, the maintainer, is quite busy these days, so a JIRA is likely a better way that he sees it and fixes it if needed.

Cheers

Le sam. 13 juil. 2019 à 07:58, Dan Tran <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="FEZseI-hDAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dan...@...> a écrit :

Hello, 

after upgrading to 3.8, mysql setup for pipeline-maven-plugin facing this error

     java.lang.ClassNotFoundException: com.mysql.cj.jdbc.Driver

wonder if anyone has seen this? or it just me

downgrade get it working again

appreciate any helps

-D


--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" rel="nofollow" target="_blank" gdf-obfuscated-mailto="FEZseI-hDAAJ" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">jenkins...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com?utm_medium=email&amp;utm_source=footer" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/jenkinsci-users/783c998a-77b6-4f37-ad0a-2a8df6ea125a%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/d5eea79e-fc8b-4b97-8247-5d4ccc894316%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

Dan Tran

The change suggests to install mysql-api plugin.  It works

Thanks

-D
On Saturday, July 13, 2019 at 1:30:11 PM UTC-7, Dan Tran wrote:
looks like my issue related to this change <a href="https://github.com/jenkinsci/pipeline-maven-plugin/commit/9a673ee9cd4ee978a9f8b4bf830fdccfde40706b" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fjenkinsci%2Fpipeline-maven-plugin%2Fcommit%2F9a673ee9cd4ee978a9f8b4bf830fdccfde40706b\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG064Cg_-TnhWSaPvPIykTNwrlYeQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fjenkinsci%2Fpipeline-maven-plugin%2Fcommit%2F9a673ee9cd4ee978a9f8b4bf830fdccfde40706b\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG064Cg_-TnhWSaPvPIykTNwrlYeQ&#39;;return true;">https://github.com/jenkinsci/pipeline-maven-plugin/commit/9a673ee9cd4ee978a9f8b4bf830fdccfde40706b

will dig further before file a Jira bug

Thanks

-D

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/9582d020-3abd-4072-bd66-0df5b102cbbf%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: pipeline-maven-plugin 3.8 upgrade fails to load mysql driver

Cyrille Le Clerc
Thanks Dan.

Did you uninstall the "database-mysql" plugin when you performed your upgrade? I was expecting people who had installed the "database-mysql" to not need to install the "mysql-api" plugin. 

Maybe I misunderstood the classloader isolation of Jenkins plugins.

Cyrille



On Saturday, July 13, 2019 at 10:35:40 PM UTC+2, Dan Tran wrote:

The change suggests to install mysql-api plugin.  It works

Thanks

-D
On Saturday, July 13, 2019 at 1:30:11 PM UTC-7, Dan Tran wrote:
looks like my issue related to this change <a href="https://github.com/jenkinsci/pipeline-maven-plugin/commit/9a673ee9cd4ee978a9f8b4bf830fdccfde40706b" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fjenkinsci%2Fpipeline-maven-plugin%2Fcommit%2F9a673ee9cd4ee978a9f8b4bf830fdccfde40706b\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG064Cg_-TnhWSaPvPIykTNwrlYeQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fjenkinsci%2Fpipeline-maven-plugin%2Fcommit%2F9a673ee9cd4ee978a9f8b4bf830fdccfde40706b\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG064Cg_-TnhWSaPvPIykTNwrlYeQ&#39;;return true;">https://github.com/jenkinsci/pipeline-maven-plugin/commit/9a673ee9cd4ee978a9f8b4bf830fdccfde40706b

will dig further before file a Jira bug

Thanks

-D

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/90f4871c-544f-4f56-93db-c723953a735c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.